package weaver.cronjob.mingfeng;

import weaver.integration.logging.Logger;
import weaver.integration.logging.LoggerFactory;
import weaver.interfaces.schedule.BaseCronJob;


/**
 * 定时  所有人员 根据身份证号定时刷新出生日和年龄
 */
public class UserCustomFieldCron extends BaseCronJob {
    private final Logger log = LoggerFactory.getLogger(UserCustomFieldCron.class);

    @Override
    public void execute() {
        log.error("根据身份证号定时刷新出生日和年龄任务开启-------");
        new Thread( ()->{
            UserCustomFieldService userCustomFieldService = new UserCustomFieldService();
            userCustomFieldService.execute();
        }).start();
        log.error("根据身份证号定时刷新出生日和年龄结束-------");
    }
}
